Part: Forme din Plase

From FreeCAD Documentation
Jump to navigation Jump to search
This page is a translated version of the page Part ShapeFromMesh and the translation is 12% complete.
Outdated translations are marked like this.
Other languages:
Deutsch • ‎English • ‎français • ‎italiano • ‎polski • ‎português do Brasil • ‎română • ‎русский
Arrow-left.svg Previous: Part BoxSelection.svg BoxSelection

Part ShapeFromMesh.svg Part ShapeFromMesh‏‎

poziția meniului
Part → Create shape from mesh...
Ateliere
Part
scurtătură
nici unul
Prezentat în versiune
-
A se vedea, de asemenea,
Part ConvertToSolid, Part RefineShape, Part PointsFromMesh

Introduction

Introducere

Această comandă creează o formă dintr-un mesh object . Obiectele din rețea au capacități de editare limitate în FreeCAD, transformându-le în forme, permit utilizarea lor cu multe alte instrumente în FreeCAD (vezi și Notes).

The inverse operation is Mesh FromPartShape.svg Mesh FromPartShape from the Workbench Mesh.svg Mesh Workbench.

Usage

Utilizare

  1. Selectați obeictul tip plasă.
  2. Choose PartPart ShapeFromMesh.png Create shape from mesh ... from the top menu.
  3. A popup-menu will ask for the tolerance for sewing shape (default value: 0,1)
  4. A shape from the mesh object is created as a seperate new object.

Limitări

There will be no analyzing or validating of the mesh object.
Analyzing and repairing of the mesh (if needed) should be done manually before conversion.
Appropriate tools are available in the Mesh Workbench.

After creation of a Shape, it may be useful to use Convert to solid (necessary for boolean operations) and Part RefineShape.svg Refine shape.

Links

Scripting

Creating a Shape from a Mesh can be done by using the makeShapeFromMesh method from a Part TopoShape; you need to specify the source mesh and tolerance, and assign the result to a new Part Feature object.

Notice that the mesh must be recalculated before it is converted to a Shape, otherwise there won't be topology information, and the conversion won't be successful.

import FreeCAD as App
import Part

doc = App.newDocument()
mesh = doc.addObject("Mesh::Cube", "Mesh")
mesh.recompute()

solid = doc.addObject("Part::Feature", "Shape")
shape = Part.Shape()
shape.makeShapeFromMesh(mesh.Mesh.Topology, 0.1)

solid.Shape = shape
solid.Placement.Base = App.Vector(15, 0, 0)
solid.purgeTouched()
doc.recompute()


Arrow-left.svg Previous: Part BoxSelection.svg BoxSelection